KDE 4.7 PyKDE API Reference

- KDE's Python API

# CollectionAttributesSynchronizationJob Class Reference

`from PyKDE4.akonadi import *`

Inherits: KJob → QObject
Namespace: Akonadi

## Detailed Description

Job that synchronizes the attributes of a collection.

This job will trigger a resource to synchronize the attributes of a collection based on what the backend is reporting to store them in the Akonadi storage.

Example:

     using namespace Akonadi;

     const Collection collection = ...;

     CollectionAttributesSynchronizationJob *job = new CollectionAttributesSynchronizationJob( collection );
     connect( job, SIGNAL( result( KJob* ) ), SLOT( synchronizationFinished( KJob* ) ) );

Note:
  This is a KJob not an Akonadi.Job, so it wont auto-start!

Author:
  Volker Krause <vkrause@kde.org>

Since:
  4.6

## Methods
| __init__ (self, Akonadi.Collection collection, QObject parent=0)
| start (self)

## Method Documentation

__init__ | ( | self, |
|  | Akonadi.Collection | collection,
|  | QObject | parent=0
| ) |  |  |

Creates a new synchronization job for the given collection.

Parameters:

  | collection | The collection to synchronize.

start | ( |  | self ) |